## gnustep-gui 0.20.0

=== debian/changelog ===
gnustep-gui (0.20.0-3ubuntu1) quantal; urgency=low

  * Build-depend on libtiff-dev rather than libtiff4-dev.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 09 Sep 2012 16:52:07 +0100

gnustep-gui (0.20.0-3) unstable; urgency=low

  * debian/control.m4 (Build-Depends): Replace libpng12-dev with
    libpng-dev (Closes: #662357).  Remove quilt.
    (gnustep-gui-runtime, libgnustep-gui`'SOV_GUI) <Depends>: Relax the
    dependency on -common (Closes: #655433).
    (Standards-Version): Bump to 3.9.3; no changes needed.
  * debian/control: Regenerate.
  * debian/source/format: Change to 3.0 (quilt).
  * debian/README.source: Delete.
  * debian/rules: Don't include /usr/share/quilt/quilt.make.  Eliminate
    quilt patch/unpatch and adjust target dependencies (Closes: #670328).

 -- Yavor Doganov <yavor@gnu.org>  Fri, 27 Apr 2012 12:08:40 +0300

gnustep-gui (0.20.0-2.1) unstable; urgency=low

  * NMU, fix FTBFS with gcc 4.6 (Closes: #639692)

 -- Konstantinos Margaritis <markos@genesi-usa.com>  Wed, 11 Jan 2012 13:39:39 +0000

gnustep-gui (0.20.0-2) unstable; urgency=low

  * Upload to unstable.
  * debian/rules (v_base): Set to 1.22.1 to ensure that the package is
    built with gcc-4.6 on all architectures.
  * debian/control: Regenerate.
  * debian/patches/say-build.patch: New; fixes FTBFS with gcc-4.6 (Closes:
    #639692) and with ld --as-needed (Closes: #631148).
  * debian/patches/series: Update.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 15 Sep 2011 21:07:20 +0300

gnustep-gui (0.20.0-1) experimental; urgency=low

  * New major upstream release.
  * debian/control.m4 (Vcs-Arch): Replace with...
    (Vcs-Git): ...following the migration to Git.
    (Vcs-Browser): New field.
    (Standards-Version): Bump to 3.9.2; no changes needed.
    (libgnustep-gui-dev) <Depends>: Remove libjpeg-dev, libpng12-dev,
    libtiff4-dev | libtiff-dev, libgif-dev, zlib1g-dev -- unnecessary
    dependencies.
    (libgnustep-gui`'SOV_GUI-dbg) <Recommends>: Set to
    libgnustep-base1.22-dbg.
    <Conflicts>: Set to libgnustep-gui0.18-dbg.
  * debian/control: Regenerate.
  * debian/rules (v_base): Bump to 1.22.
    (debian/build-indep-stamp): Run the testsuite.
    (install-shared): Delete GSSpeechServer.desktop.
    (binary-arch): Move colorpickers' images to /usr/share.
  * debian/patches/gmodel-loading.patch:
  * debian/patches/untitled-document-loading.patch: Delete; fixed
    upstream.
  * debian/patches/series: Update.
  * debian/gnustep-gui-runtime.preinst:
  * debian/gnustep-gui-runtime.lintian-overrides: Delete; not needed
    anymore.
  * debian/copyright: Update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 03 Jun 2011 00:23:00 +0300

gnustep-gui (0.18.0-5) unstable; urgency=medium

  * debian/patches/untitled-document-loading.patch: New; prevent loading
    of untitled document in an NSDocument-based app without an editor type
    (Closes: #595757).
  * debian/patches/series: Update.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 07 Sep 2010 18:13:59 +0300

gnustep-gui (0.18.0-4) unstable; urgency=medium

  * debian/control.m4 (Build-Depends): Add quilt.
  * debian/control: Regenerate.
  * debian/rules: Include /usr/share/quilt/quilt.make; adjust targets and
    prerequisites for quilt.
  * debian/patches/gmodel-loading.patch: New; fixes loading of GModel
    bundles, regression introduced in 0.18.0 (Closes: #594597).
  * debian/patches/series:
  * debian/README.source: New file.

 -- Yavor Doganov <yavor@gnu.org>  Sun, 29 Aug 2010 12:30:47 +0300

gnustep-gui (0.18.0-3) unstable; urgency=low

  * Upload to unstable.
  * debian/control.m4 (libgnustep-gui`'SOV_GUI-dbg) <Conflicts>: Replace 
    gnustep-gui-runtime-dbg with libgnustep-gui0.14-dbg and
    libgnustep-gui0.16-dbg.
    <Provides>: Remove; obsolete.
    <Recommends>: Add libgnustep-base1.20-dbg which is needed in most
    cases to provide a meaningful backtrace.
    (Standards-Version): Compliant with 3.9.1; no changes needed.
  * debian/control: Regenerate.
  * debian/watch: Track only stable releases.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 10 Aug 2010 20:36:58 +0300

gnustep-gui (0.18.0-2) experimental; urgency=low

  * debian/gnustep-gui-runtime.preinst: Fix a terrible typo.  Avoid set -u
    since fresh installs fail while the condition is otherwise true as
    expected.
 
 -- Yavor Doganov <yavor@gnu.org>  Tue, 22 Jun 2010 19:37:11 +0300

gnustep-gui (0.18.0-1) experimental; urgency=low

  * New upstream release.
  * debian/control.m4 (Build-Depends): Replace libaudiofile-dev and
    portaudio19-dev with libao-dev and libsndfile1-dev; libjpeg62-dev with
    libjpeg-dev.  Add flite1-dev.
    (libgnustep-gui-dev) <Depends>: Remove libaspell-dev, libaudiofile-dev
    and ${shlibs:Depends}.  Replace libjpeg62-dev with libjpeg-dev.
    (libgnustep-gui`'SOV_GUI-dbg) <Depends>: Add ${misc:Depends}.
    (gnustep-gui-doc) <Depends>: Likewise.
    (Description): Extend.
    (Standards-Version): Bump to 3.8.4 (no changes needed).
  * debian/control: Regenerate, which picks the SONAME change as well.
  * debian/rules: Remove all sparc conditionals; not needed anymore.
    (v_base): Bump to 1.20.0.
    (v_make): Remove; unused.
    (OPTFLAG): Remove and rework noopt handling to be compatible with
    gnustep-make/2.4.0.
    (HURD_CONF): Remove; not necessary anymore.
    (install-shared): Move Sounds to -common.
    (binary_indep): Don't install gnustep_sndd.1; install the newly added
    manpages.
  * debian/gnustep_sndd.1: Remove; daemon gone for good.
  * debian/gnustep-gui-runtime.lintian-overrides: Remove the gnustep_sndd
    override (now unused), add new for say and GSSpeechServer.
  * debian/source/format: New file.
  * debian/gnustep-gui-runtime.preinst: New; handle the removal of
    gnustep_sndd's init script.
  * debian/say.1:
  * debian/GSSpeechServer.1: New file.
  * debian/copyright: Add 2010 to the copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 01 Jun 2010 23:05:26 +0300


