## gnustep-gui 0.22.0

=== debian/changelog ===
gnustep-gui (0.22.0-1ubuntu2) trusty; urgency=medium

  * No change rebuild against libicu52

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 27 Dec 2013 04:10:56 +0000

gnustep-gui (0.22.0-1ubuntu1) raring; urgency=low

  * Merge from Debian experimental. Remaining changes:
    - Build-depend on libtiff-dev rather than libtiff4-dev.

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 21 Nov 2012 16:07:34 +0100

gnustep-gui (0.22.0-1) experimental; urgency=low

  * New major upstream release.
  * debian/rules (v_base): Bump to 1.24 (Closes: #672986).
    Run the testsuite in the proper target.  Enable hardening and
    imagemagick.
  * debian/control.m4 (Build-Depends): Add libmagickcore-dev and
    libicu-dev.
    (libgnustep-gui`'SOV_GUI-dbg) <Recommends>: Set to
    libgnustep-base1.24-dbg.
    <Conflicts>: Add libgnustep-gui0.20-dbg.
  * debian/control: Regenerate.
  * debian/patches/fix-ftbfs-gcc46.patch: Remove; fixed upstream.
  * debian/patches/say-build.patch: Update/refresh.
  * debian/patches/series: Update.
  * debian/gnustep-gui-runtime.lintian-overrides: New file; hardening
    false positives.
  * debian/copyright: Update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 22 May 2012 18:13:44 +0300
