=== debian/control ===
--- 
+++ 
@@ -8,11 +8,13 @@
 Standards-Version: 3.9.3
 Build-Depends: debhelper (>= 7),
 	       m4,
-	       libgnustep-base-dev (>= 1.22.1),
+	       libgnustep-base-dev (>= 1.24),
 	       libjpeg-dev,
 	       libtiff-dev,
 	       libpng-dev,
 	       libgif-dev,
+	       libmagickcore-dev,
+	       libicu-dev,
 	       libaspell-dev,
 	       zlib1g-dev,
 	       libcups2-dev,
@@ -29,7 +31,7 @@
 
 Package: gnustep-gui-common
 Architecture: all
-Depends: gnustep-base-common (>= 1.22.1),
+Depends: gnustep-base-common (>= 1.24),
 	 ${misc:Depends},
 	 ${gnustep:Depends}
 Description: GNUstep GUI Library - common files
@@ -55,7 +57,7 @@
  This package contains the runtime support files needed by GNUstep GUI
  applications.
 
-Package: libgnustep-gui0.20
+Package: libgnustep-gui0.22
 Section: libs
 Architecture: any
 Depends: gnustep-gui-common (>= ${source:Version}),
@@ -75,10 +77,10 @@
 Package: libgnustep-gui-dev
 Section: libdevel
 Architecture: any
-Depends: libgnustep-gui0.20 (= ${binary:Version}),
+Depends: libgnustep-gui0.22 (= ${binary:Version}),
 	 gnustep-gui-common,
-	 libgnustep-base-dev (>= 1.22.1),
-	 gnustep-gui-runtime (>= 0.20.0),
+	 libgnustep-base-dev (>= 1.24),
+	 gnustep-gui-runtime (>= 0.22.0),
 	 ${misc:Depends},
 	 ${gnustep:Depends}
 Suggests: gnustep-gui-doc
@@ -94,17 +96,18 @@
  Install this package if you wish to develop your own programs using
  the GNUstep GUI Library.
 
-Package: libgnustep-gui0.20-dbg
+Package: libgnustep-gui0.22-dbg
 Section: debug
 Priority: extra
 Architecture: any
 Depends: gnustep-gui-common,
 	 gnustep-gui-runtime (= ${binary:Version}),
-	 libgnustep-gui0.20 (= ${binary:Version}),
+	 libgnustep-gui0.22 (= ${binary:Version}),
 	 ${misc:Depends},
 	 ${gnustep:Depends}
-Recommends: libgnustep-base1.22-dbg
-Conflicts: libgnustep-gui0.18-dbg
+Recommends: libgnustep-base1.24-dbg
+Conflicts: libgnustep-gui0.18-dbg,
+	   libgnustep-gui0.20-dbg
 Description: GNUstep GUI Library - debugging symbols
  The GNUstep GUI Library is a powerful library of graphical user interface
  classes written completely in the Objective-C language; the classes are
