=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 ##### VERSION NUMBERS ###########################################
 
 # GNUstep Base version :
-v_base	:= 1.22.1
+v_base	:= 1.24
 
 # GNUstep Gui version :
 v_gui   := $(shell . ./Version; echo $$VERSION)
@@ -51,11 +51,9 @@
 export GNUSTEP_MAKEFILES := /usr/share/GNUstep/Makefiles
 export GNUSTEP_INSTALLATION_DOMAIN := SYSTEM
 
-# Compiler
-CC	:= $(shell sed -n -e '/^CC[ 	]*=/s,.*= *\(.*\),\1,p' \
-		/$(GS_MAKE_DIR)/config.make)
-
-LDFLAGS := -Wl,-z,defs -Wl,--as-needed
+CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
+OBJCFLAGS := $(shell dpkg-buildflags --get CFLAGS)
+LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,-z,defs -Wl,--as-needed
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 optim := debug=yes
@@ -87,10 +85,12 @@
 
 debian/configure-stamp: configure
 	dh_testdir
-	CC=$(CC) ./configure \
+	./configure CPPFLAGS="$(CPPFLAGS)" OBJCFLAGS="$(OBJCFLAGS)" \
+	    LDFLAGS="$(LDFLAGS)" \
 	    --build=$(DEB_BUILD_GNU_TYPE) \
 	    --host=$(DEB_HOST_GNU_TYPE) \
 	    --target=$(DEB_HOST_GNU_TYPE) \
+	    --enable-imagemagick \
 	    --with-x \
 	    --x-libraries=/usr/X11R6/lib \
 	    --x-includes=/usr/X11R6/include
@@ -101,8 +101,11 @@
 clean_files += debian/build-shared-stamp
 debian/build-shared-stamp: config
 	dh_testdir
-	$(MAKE) doc=no messages=yes $(optim) LDFLAGS="$(LDFLAGS)"
-
+	$(MAKE) doc=no messages=yes $(optim) CPPFLAGS="$(CPPFLAGS)" \
+	  OBJCFLAGS="$(OBJCFLAGS)" LDFLAGS="$(LDFLAGS)"
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	$(MAKE) check
+endif
 	touch $@
 
 
@@ -114,9 +117,7 @@
 debian/build-indep-stamp: build-shared
 	dh_testdir
 	$(MAKE) -C Documentation doc=yes messages=yes
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	$(MAKE) check
-endif
+
 	touch $@
 
 # Build architecture dep
@@ -264,8 +265,3 @@
 
 # Install man pagees to gnustep-gui-common, and remove from gnustep-gui-doc.
 	for man in gclose gcloseall gopen make_services set_show_service; do \
-	  dh_installman -p$(p_com) Documentation/$$man.1; \
-	  rm -rf $(d_doc)/usr/share/man; \
-	done
-	dh_installman -p$(p_com) debian/say.1 debian/GSSpeechServer.1
-
