## gnustep-gui 0.24.0

=== debian/changelog ===
gnustep-gui (0.24.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build using giflib 5. Closes: #803283.

 -- Matthias Klose <doko@debian.org>  Wed, 16 Dec 2015 04:44:00 +0000

gnustep-gui (0.24.0-3) unstable; urgency=medium

  * debian/patches/xib-loading.patch: New; fixes a crash with XIB
    decoding/loading (Closes: #754825).
  * debian/patches/gorm-loading.patch: New; fixes a crash in Gorm
    loading (Closes: #755823).
  * debian/patches/series: Update.
  * debian/control.m4 (Standards-Version): Bump to 3.9.6; no changes
    needed.
  * debian/control: Regenerate.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 28 Oct 2014 09:39:18 +0200

gnustep-gui (0.24.0-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/compat: Set to 9 to get .build-id debugging symbols.
  * debian/control.m4 (Build-Depends): Require debhelper >= 9.
    (libgnustep-gui`'SOV_GUI-dbg) <Conflicts>: Remove.
  * debian/control: Regenerate.
  * debian/rules (confflags): Define conditionally and pass --host to
    configure only if cross-compiling.

 -- Yavor Doganov <yavor@gnu.org>  Mon, 07 Jul 2014 14:34:47 +0300

gnustep-gui (0.24.0-1) experimental; urgency=low

  * New major upstream release:
    - Provides a more complete implementation of NSBox (Closes: #711938).
  * debian/patches/say-build.patch: Remove; fixed upstream.
  * debian/patches/info-direntry.patch: New.
  * debian/patches/series: Update.
  * debian/rules (v_base): Bump to 1.24.6.
    (install-doc): Do not create User/Developer symlinks.  Remove gsdoc
    files, do not delete info ones.
    (binary-arch): Remove gnustep-gpbs from generated shlibs, will be
    merged into -common.
  * debian/control.m4 (Build-Depends): Replace libtiff4-dev with
    libtiff-dev (Closes: #736010).
    (Build-Depends-Indep): Remove texi2html.
    (libgnustep-gui`'SOV_GUI-dbg) <Conflicts>: Remove
    libgnustep-gui0.18-dbg, add libgnustep-gui0.22-dbg.
    (Vcs-Git): Use the canonical URI.
    (Standards-Version): Bump to 3.9.5 (no changes needed).
  * debian/control: Regenerate.
  * debian/gnustep-gui-doc.doc-base.manual: Add HTML format; it is now
    properly built and installed following the texi2html->makeinfo switch
    (Closes: #732137).
  * debian/copyright: Update copyright years; typo fix.

 -- Yavor Doganov <yavor@gnu.org>  Mon, 26 May 2014 19:11:54 +0300
