=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: gnustep-gui
 Section: gnustep
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
 Uploaders: Gürkan Sengün <gurkan@phys.ethz.ch>,
 	   Yavor Doganov <yavor@gnu.org>
-Standards-Version: 3.9.3
-Build-Depends: debhelper (>= 7),
+Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9),
 	       m4,
-	       libgnustep-base-dev (>= 1.24),
+	       libgnustep-base-dev (>= 1.24.6),
 	       libjpeg-dev,
 	       libtiff-dev,
 	       libpng-dev,
@@ -22,16 +21,15 @@
 	       libsndfile1-dev,
 	       flite1-dev
 Build-Depends-Indep: texinfo,
-		     texi2html,
 		     texlive-base,
 		     texlive-latex-base
 Homepage: http://gnustep.org
-Vcs-Git: git://git.debian.org/pkg-gnustep/gnustep-gui.git
+Vcs-Git: git://anonscm.debian.org/pkg-gnustep/gnustep-gui.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gnustep/gnustep-gui.git
 
 Package: gnustep-gui-common
 Architecture: all
-Depends: gnustep-base-common (>= 1.24),
+Depends: gnustep-base-common (>= 1.24.6),
 	 ${misc:Depends},
 	 ${gnustep:Depends}
 Description: GNUstep GUI Library - common files
@@ -57,7 +55,7 @@
  This package contains the runtime support files needed by GNUstep GUI
  applications.
 
-Package: libgnustep-gui0.22
+Package: libgnustep-gui0.24
 Section: libs
 Architecture: any
 Depends: gnustep-gui-common (>= ${source:Version}),
@@ -77,10 +75,10 @@
 Package: libgnustep-gui-dev
 Section: libdevel
 Architecture: any
-Depends: libgnustep-gui0.22 (= ${binary:Version}),
+Depends: libgnustep-gui0.24 (= ${binary:Version}),
 	 gnustep-gui-common,
-	 libgnustep-base-dev (>= 1.24),
-	 gnustep-gui-runtime (>= 0.22.0),
+	 libgnustep-base-dev (>= 1.24.6),
+	 gnustep-gui-runtime (>= 0.24.0),
 	 ${misc:Depends},
 	 ${gnustep:Depends}
 Suggests: gnustep-gui-doc
@@ -96,18 +94,16 @@
  Install this package if you wish to develop your own programs using
  the GNUstep GUI Library.
 
-Package: libgnustep-gui0.22-dbg
+Package: libgnustep-gui0.24-dbg
 Section: debug
 Priority: extra
 Architecture: any
 Depends: gnustep-gui-common,
 	 gnustep-gui-runtime (= ${binary:Version}),
-	 libgnustep-gui0.22 (= ${binary:Version}),
+	 libgnustep-gui0.24 (= ${binary:Version}),
 	 ${misc:Depends},
 	 ${gnustep:Depends}
 Recommends: libgnustep-base1.24-dbg
-Conflicts: libgnustep-gui0.18-dbg,
-	   libgnustep-gui0.20-dbg
 Description: GNUstep GUI Library - debugging symbols
  The GNUstep GUI Library is a powerful library of graphical user interface
  classes written completely in the Objective-C language; the classes are
