=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 ##### VERSION NUMBERS ###########################################
 
 # GNUstep Base version :
-v_base	:= 1.24
+v_base	:= 1.24.6
 
 # GNUstep Gui version :
 v_gui   := $(shell . ./Version; echo $$VERSION)
@@ -19,11 +19,11 @@
 
 #################################################################
 
-# These are used for cross-compiling and for saving the configure script
-# from having to guess our platform (since we know it already)
-DEB_BUILD_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_HOST_ARCH		?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
+confflags := --build $(DEB_BUILD_GNU_TYPE)
+else
+confflags := --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
+endif
 
 # make some files executable
 dummy := $(shell chmod +x configure)
@@ -87,9 +87,7 @@
 	dh_testdir
 	./configure CPPFLAGS="$(CPPFLAGS)" OBJCFLAGS="$(OBJCFLAGS)" \
 	    LDFLAGS="$(LDFLAGS)" \
-	    --build=$(DEB_BUILD_GNU_TYPE) \
-	    --host=$(DEB_HOST_GNU_TYPE) \
-	    --target=$(DEB_HOST_GNU_TYPE) \
+	    $(confflags) \
 	    --enable-imagemagick \
 	    --with-x \
 	    --x-libraries=/usr/X11R6/lib \
@@ -148,26 +146,14 @@
 	dh_prep -p$(p_doc)
 	dh_installdirs -p$(p_doc)
 
-	: # Install the indep part of the package
+# Install the indep part of the package.
 	$(MAKE) -C Documentation install doc=yes DESTDIR=$(d_doc)
 
-	: # remove postscript doc
-	for file in `find $(d_doc)/$(GNUSTEP_SYSTEM_DOC) -name "*.ps"`; do \
-	  rm $$file ; done
-
-	: # remove info doc
-	rm -rf $(d_doc)/$(GNUSTEP_SYSTEM_DOC_INFO)
-
-	: # /usr/share/doc symlinks
-	dh_link -p$(p_doc) \
-	    $(GNUSTEP_SYSTEM_DOC)/Developer usr/share/doc/$(p_com)/Developer \
-	    usr/share/doc/$(p_com)/Developer usr/share/doc/$(p_doc)/Developer \
-	    $(GNUSTEP_SYSTEM_DOC)/User usr/share/doc/$(p_com)/User \
-	    usr/share/doc/$(p_com)/User usr/share/doc/$(p_doc)/User
-
-	: # clean
-	for file in `find $(d_doc)/$(GNUSTEP_SYSTEM_DOC) -name ".cvsignore"`; do \
-		rm $$file ; done
+# Remove PostScript/gsdoc files.
+	find $(d_doc)/$(GNUSTEP_SYSTEM_DOC) -regextype posix-egrep \
+	  -regex  ".*(ps|gsdoc)$$" -delete
+
+	find $(d_doc)/$(GNUSTEP_SYSTEM_DOC) -name .cvsignore -delete
 
 	dh_install -i
 
@@ -265,3 +251,25 @@
 
 # Install man pagees to gnustep-gui-common, and remove from gnustep-gui-doc.
 	for man in gclose gcloseall gopen make_services set_show_service; do \
+	  dh_installman -p$(p_com) Documentation/$$man.1; \
+	  rm -rf $(d_doc)/usr/share/man; \
+	done
+	dh_installman -p$(p_com) debian/say.1 debian/GSSpeechServer.1
+
+	: # remove empty directories, when all components are in place
+	for d in `find $(d_com) -depth -type d -empty 2>/dev/null`; do \
+	    case $$d in */usr/share/doc*|*/etc) continue; esac; \
+	    while rmdir $$d 2> /dev/null; do d=`dirname $$d`; done; \
+	done
+
+	dh_compress -i
+	dh_fixperms -i
+	dh_installdeb -i
+	dh_gencontrol -i
+	dh_md5sums -i
+	dh_builddeb -i
+
+
+# Build architecture-dependent files here.
+binary-arch: control-file build-arch install-arch debian/libgnustep-gui$(sov_gui).lintian-overrides
+	dh_testdir -a
